#pragma once

#include "afxwin.h"


class CMyCommandLine
{
public:

	bool b_question; // /? -> Display Command Line Info.
	bool b_m;        // /m -> minimised
	bool b_p;        // /p -> password

public:
	CMyCommandLine(void)
	{
		b_question = b_m = b_p = false;		
	};
	~CMyCommandLine(void){};
public:
	void ParseCommands()
	{
		int m_NumArgs = __argc;
		

		for(int iCount=0; iCount < m_NumArgs; iCount++)
		{
			char* pStr = __argv[iCount];

			if( strcmp( pStr, "/?") == 0 )
				b_question = true;

			if( strcmp( pStr, "/m") == 0 )
				b_m = true;

			if( strcmp( pStr, "/p") == 0 )
				b_p = true;
		}
		
		if( b_question )
			DisplayCommandLineInfo();
	}
protected:
	void DisplayCommandLineInfo()
	{
		char szMessage[] = "/m Minimised, /q Display commandline info, \n"
			               "/p Start with password enabled.";

		MessageBox(0, szMessage , "Command Line Information", 0);
	}
};






