

#include "systray.h"



BEGIN_MESSAGE_MAP(csystray, CWnd)
	ON_MESSAGE(WM_USER+15, onusermessage)
END_MESSAGE_MAP()


BOOL csystray::create(CWnd *p, UINT message, LPCTSTR tip, HICON i, CMenu *pMenu)
{
	CWnd::CreateEx(0,AfxRegisterWndClass(0),"",WS_POPUP,0,0,
						10,10,NULL,0);
	m_pMenu = pMenu;
	/*
	new CMenu();
	m_pMenu->CreatePopupMenu();
	m_pMenu->AppendMenu(MF_STRING,101,"Options");
	m_pMenu->AppendMenu(MF_STRING,102,"Hide");
	m_pMenu->AppendMenu(MF_STRING,103,"Exit");
	*/
	m_nid.cbSize = sizeof(NOTIFYICONDATA);
	m_nid.hWnd = this->m_hWnd;
	m_nid.uID = 1;
	m_nid.hIcon = i;
	m_nid.uFlags = NIF_MESSAGE | NIF_ICON | NIF_TIP;
	m_nid.uCallbackMessage = WM_USER+15 ;//message;
	strcpy(m_nid.szTip, tip);

	Shell_NotifyIcon(NIM_ADD, &m_nid);
	
	return 0;
}


LRESULT csystray::onusermessage(WPARAM w, LPARAM l)
{

	CWnd *p = AfxGetMainWnd();

	if (LOWORD(l) == WM_RBUTTONUP)
	{
		CPoint pos;
		GetCursorPos(&pos);
		p->SetForegroundWindow();
		//setdefault();
		
		m_pMenu->TrackPopupMenu(TPM_RIGHTBUTTON, pos.x, pos.y, p);

		p->PostMessage(WM_NULL,0,0);
	}
	else if (LOWORD(l) == WM_LBUTTONDBLCLK)
	{
		p->SetForegroundWindow();
		//int id = GetMenuDefaultItem(m_pMenu->m_hMenu, FALSE, 0);
		int id = m_DEFAULT_COMMAND;

		p->SendMessage(WM_COMMAND, id, 0);
	}
	return 0L;
}

LRESULT csystray::WindowProc(UINT message, WPARAM w, LPARAM l)
{
	return CWnd::WindowProc(message,w,l);
}

void csystray::remove()
{
	Shell_NotifyIcon(NIM_DELETE, &m_nid);
}
void csystray::hide()
{
	MessageBox("Hide");
}
void csystray::show()
{
	MessageBox("Show");
}
void csystray::setdefault(UINT ID_COMMAND_DOUBLECLK)
{
	//::SetMenuDefaultItem(m_pMenu->m_hMenu, ID_COMMAND_DOUBLECLK, NULL);
	m_DEFAULT_COMMAND = ID_COMMAND_DOUBLECLK;
}
void csystray::seticon(HICON h)
{
	m_nid.uFlags=NIF_ICON;
	m_nid.hIcon = h;

	Shell_NotifyIcon(NIM_MODIFY, &m_nid);
}
