//systray.h

/*--------------------------------------------------
	Author: Benjamin Kenwright
	Date: 27-05-2002
	Description: System Tray Wrapper Class
---------------------------------------------------*/
#include <afxwin.h>

#ifndef _CSYSTRAY_
#define _CSYSTRAY_

class csystray : public CWnd
{
protected:
	NOTIFYICONDATA m_nid;
	CMenu* m_pMenu;
	UINT m_DEFAULT_COMMAND;

public:
	int create(CWnd *p, UINT message, LPCTSTR tip, HICON i, CMenu *pMenu);
	LRESULT onusermessage(WPARAM w, LPARAM l);
	virtual LRESULT WindowProc(UINT message, WPARAM w, LPARAM l);
	void hide();
	void show();
	void remove();
	void setdefault(UINT);
	void seticon(HICON h);

	DECLARE_MESSAGE_MAP()
};

//------------------------------------------------//


#endif
