#pragma once

#include <afxwin.h>         // MFC core and standard components
#include <afxdlgs.h>        // Needed for CPropertySheet
#include "MyData.h"

#include "MyStartup.h"

#include "resource.h"


/*******************************************************************/

class CMyDialogOne : public CPropertyPage // About
{
public:
	CMyDialogOne():CPropertyPage(IDD_OPTIONS_ABOUT)
     {
         // Call the base class contructor.    
     }
	 afx_msg void OnShowWindow(BOOL bShow,UINT nStatus )
	 {
		 if(bShow == TRUE)
		 {
			 
			 char ss[] = {    "Jot ideas down while your working.... write \r\n"
				              "reminder notes for yourself,...NoteIt from \r\n"
							  "www.xbdev.net allows you to make easy to remember\r\n "
							  "messages to your self...even while working with other\r\n "
							  "applications.  NoteIt has been designed to use\r\n "
							  "practically no cpu processing time, so that is can run\r\n "
							  "in the background with minimim worry." };
					 

			 CEdit *p = (CEdit*)GetDlgItem(IDC_STATIC_TEXT);
			 p->SetWindowTextA(ss);
			 //SetDlgItemText(IDC_STATIC_TEXT, ss);
		 }
	 }
	 DECLARE_MESSAGE_MAP()
};

/*******************************************************************/

class CMyDialogTwo : public CPropertyPage //Security
{
public:
	bool m_bPassword;
	char m_szPassword[100];
public:
	CMyDialogTwo():CPropertyPage(IDD_OPTIONS_SECURITY)
     {
     }
	
	 afx_msg void OnShowWindow(BOOL bShow,UINT nStatus )
	 {
		 if(bShow == TRUE)
		 {
			CButton* pPassword = (CButton*)GetDlgItem(IDC_PASSWORD_YN);
			pPassword->SetCheck( m_bPassword);
			
			SetDlgItemText(ID_PASSWORD_EDIT, m_szPassword);
		 }
	 }
	 afx_msg void OnChange()
	 {
		 CButton* pPassword = (CButton*)GetDlgItem(IDC_PASSWORD_YN);
		 m_bPassword = pPassword->GetCheck();

		 GetDlgItemText(ID_PASSWORD_EDIT, m_szPassword,100);
	 }

	 DECLARE_MESSAGE_MAP()
};

/*******************************************************************/

class CMyDialogThree : public CPropertyPage //Ask - startup/misc
{
public:
	bool m_bAutoStart;
public:
	CMyDialogThree():CPropertyPage(IDD_OPTIONS_ASK)
     {
     }
	 
	 afx_msg void OnShowWindow(BOOL bShow,UINT nStatus )
	 {
		 if(bShow == TRUE)
		 {
			CButton* pAutoStart = (CButton*)GetDlgItem(IDC_STARTUP_YN);
			pAutoStart->SetCheck( m_bAutoStart );
		 }
	 }

	 afx_msg void OnChange()
	 {
		 CButton* pAutoStart = (CButton*)GetDlgItem(IDC_STARTUP_YN);
		 m_bAutoStart = pAutoStart->GetCheck();
	 }

	 DECLARE_MESSAGE_MAP()
};

/*******************************************************************/

class CMyOptions
{
public:
	CMyOptions(void){}
	~CMyOptions(void){};

public:

	void Show(CMyData* pD)
	{
		CMyDialogOne Da;
		CMyDialogTwo Db;
		CMyDialogThree Dc;

		Db.m_bPassword = pD->m_Options.m_Data[0].bValue;
		strcpy( Db.m_szPassword, pD->m_Options.m_Data[2].szData);

		Dc.m_bAutoStart = pD->m_Options.m_Data[1].bValue;

		CPropertySheet table("NoteIt - Options");

		table.AddPage(&Da);
		table.AddPage(&Db);
		table.AddPage(&Dc);

		UINT ret = table.DoModal();

		if( ret = IDOK )
		{
			pD->m_Options.m_Data[0].bValue = Db.m_bPassword;
			memset(pD->m_Options.m_Data[2].szData, '\0', sizeof(pD->m_Options.m_Data[2].szData));
			strcpy(pD->m_Options.m_Data[2].szData, Db.m_szPassword);

			if( Dc.m_bAutoStart != pD->m_Options.m_Data[1].bValue )
			{
				 pD->m_Options.m_Data[1].bValue = Dc.m_bAutoStart;

				CMyStartup s;

				if( Dc.m_bAutoStart )
					s.AddStarup();
				else
					s.RemoveStartup();

			}
		}
	}
};



