#pragma once

#include "afxwin.h"
#include "resource.h"

class CMyResizer : public CWnd
{
public:
	CMyResizer(void){};
	~CMyResizer(void){};

	int m_Width;
	int m_Height;

	UINT ResourceIDBitmap;
public:
	void SetImage(UINT ii, int width, int height)
	{
		m_Width = width;
		m_Height = height;
		ResourceIDBitmap = ii;
	}
	afx_msg void OnPaint()
	{

		CPaintDC dc(this);

		CBitmap         cBitmap;
		
		cBitmap.LoadBitmap(ResourceIDBitmap);

		CDC              memDC;
		memDC.CreateCompatibleDC(&dc);
		CBitmap* pOldMemBmp   = memDC.SelectObject(&cBitmap);
		CSize bS = cBitmap.GetBitmapDimension();

		CRect rWindow;
		//GetWindowRect(&rWindow);
		GetClientRect(&rWindow);
		
		CSize sBitmapSizes = cBitmap.GetBitmapDimension();

		//dc.BitBlt(2, 2, rWindow.right, rWindow.bottom,
		//	&memDC, 0, 0, SRCCOPY);
		dc.StretchBlt(2, 2, rWindow.right, rWindow.bottom,
			&memDC, 0, 0, m_Width, m_Height, SRCCOPY);


		memDC.SelectObject(&pOldMemBmp );



		CWnd::OnPaint();

		//MessageBox("Art");


	}
	afx_msg int OnCreate(LPCREATESTRUCT l)
	{
		int ret = CWnd::OnCreate(l);
		
		CBitmap         cBitmap;
		UINT ResourceIDBitmap = IDB_BITMAP_LEFTCORNER;
		cBitmap.LoadBitmap(ResourceIDBitmap);

		CSize sBitmapSize = cBitmap.GetBitmapDimension();

		m_Width = sBitmapSize.cx;
		m_Height = sBitmapSize.cy;

		CRect rect;
		GetClientRect(&rect);

		rect.left = rect.left;
		rect.top;
		rect.right = rect.right;
		//rect.right =rect.right + 100;
		//rect.bottom = rect.top + m_Height;

		//MoveWindow(&rect, TRUE);


		return ret;
	}
public:
	bool bLButtonDown;
	CPoint m_Old;
	afx_msg void OnMouseMove(UINT n, CPoint p)
	{
		
		CWnd::OnMouseMove(n, p);
	}
	afx_msg void OnLButtonDown(UINT n, CPoint p)
	{

		CWnd::OnLButtonDown(n, p);
	}
	afx_msg void OnLButtonUp(UINT n, CPoint p)
	{

		CWnd::OnLButtonUp(n, p);
	}

public:
	DECLARE_MESSAGE_MAP()
};

