#pragma once

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>

//Shell32.dll
#include <Shobjidl.h>
#include <shlguid.h>




class CMyStartup
{
public:
	CMyStartup(void){};
	~CMyStartup(void){};

	void AddStarup()
	{
		char szFileName[] = "\"C:\\Program Files\\NoteIt\\NoteIt.exe\" /m";

		AddToProgramFolder();

		AddStartupRegistry(szFileName);
	}

	void RemoveStartup()
	{
		RemoveStartupRegistry("");
	}
protected:
	void AddToStartUpFolder()
	{
		
		char szDeskFileName[MAX_PATH] = "";
		char cBackwardSlash = '\\';

		char szFileName[] = "C:\\Program Files\\NoteIt\\NoteIt.exe";

		if( !GetShellFolderPath("Startup", szDeskFileName) )
			return;

		strcat(szDeskFileName, "\\NoteIt");
		strcat(szDeskFileName, ".lnk");
		
	}
protected:
	void AddStartupRegistry(char* szFileName)
	{
		HKEY hKey;

		DWORD rc = RegOpenKeyEx(HKEY_CURRENT_USER,
			       "Software\\Microsoft\\Windows\\CurrentVersion\\Run",
				   0,
				   KEY_ALL_ACCESS,
				   &hKey);

		if( rc == ERROR_SUCCESS )
		{
			
			rc = RegSetValueEx(hKey,
				               "NoteIt - from www.xbdev.net",
							   0,
							   REG_SZ,
							   (BYTE*)szFileName,
							   strlen(szFileName)+1);

			RegCloseKey(hKey);
		}
	}

	void RemoveStartupRegistry(char* szFileName)
	{
		HKEY hKey;

		DWORD rc = RegOpenKeyEx(HKEY_CURRENT_USER,
			       "Software\\Microsoft\\Windows\\CurrentVersion\\Run",
				   0,
				   KEY_ALL_ACCESS,
				   &hKey);

		if( rc == ERROR_SUCCESS )
		{
			RegDeleteValue(
						hKey,
						"NoteIt - from www.xbdev.net");

			RegCloseKey(hKey);
		}
	}

	bool GetShellFolderPath(LPCSTR lpShellFolder, LPSTR lpShellPath)
	{
		//lpShellFolder can be one of the following
		//AppData, Cache, Cookies, Desktop, Favorites, Fonts, History, NetHood,
		//Personal, Printhood, Programs, Recent, SendTo, Start Menu, Startup,
		//Templates, ShellNew
		  
		DWORD rc;
		DWORD length = MAX_PATH;
		DWORD type   = REG_SZ;
		HKEY  hkey;
			
		rc = RegOpenKeyEx(HKEY_CURRENT_USER,
					"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders",
					0,
	  				KEY_READ,
					&hkey);

		if (rc == ERROR_SUCCESS)
		{
			rc = RegQueryValueEx(hkey,
					lpShellFolder,
					NULL,
					&type,
					(BYTE *) lpShellPath,
					&length);
			RegCloseKey(hkey);
		}
			
		if (rc == ERROR_SUCCESS)
			return true;
		else
			return false;
	}


	void AddToProgramFolder()
	{
		HMODULE hInstance =  GetModuleHandle( 0 );
		
		char szFileName[300];
		GetModuleFileName(hInstance, szFileName,  300);

		char szNewFile[] = "C:\\Program Files\\NoteIt\\NoteIt.exe";

		// if its being run from the Program Files location, no need to 
		// copy it to there!
		if( strcmp(szFileName,szNewFile ) == 0)
			return;

		//CreateDirectory("C:\\Program Files\\xbdev\\", 0);
		CreateDirectory("C:\\Program Files\\NoteIt\\", 0);

		CopyFile(szFileName, szNewFile, FALSE);
		
		// Get the folder location
		for(int i = strlen(szFileName); i>0; i--)
		{
			if( szFileName[i] == '\\')
			{
				szFileName[i+1] = '\0';
				break;
			}
		}

		strcat(szFileName, "NoteIt.ini");
		char szFileData[] = "C:\\Program Files\\NoteIt\\NoteIt.ini";
		CopyFile(szFileName, szFileData,  TRUE);
	}
};





